## libpeas2 2.2.0

=== meson_options.txt ===
option('gjs',
       type: 'boolean', value: true,
       description: 'Enable GJS support (requires gjs-1.0)')

option('lua51',
       type: 'boolean', value: true,
       description: 'Enable Lua 5.1 support (requires lua-lgi)')

option('python3',
       type: 'boolean', value: true,
       description: 'Enable Python 3 support (requires pygobject)')

option('python3_path',
       type: 'string', value: '',
       description: 'Path to Python 3.x interpreter to override the default one used')

option('introspection',
       type: 'boolean', value: true,
       description: 'Generate introspection data (requires gobject-introspection)')
option('vapi',
       type: 'boolean', value: false,
       description: 'Generate vapi data (requires vapigen)')

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Build reference manual (requires gi-docgen)')

## libpeas2 1.99.0

=== debian/changelog ===
libpeas2 (1.99.0-2) unstable; urgency=medium

  * Update Vcs fields
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 14 Aug 2023 08:44:21 -0400

libpeas2 (1.99.0-1) experimental; urgency=medium

  * New upstream release (Closes: #1043464)
  * Update package names and install files for API bump
  * debian/control.in: Bump minimum glib to 2.74.0
  * debian/control.in: Drop gtk3 dependency
  * debian/copyright: Switch to format 1.0
  * debian/docs: README -> README.md
  * debian/rules: Drop obsolete xauth build dependency
  * debian/rules: Disable lua & gjs support for now
  * Cherry-pick 2 patches to fix build tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 11 Aug 2023 11:45:01 -0400

libpeas (1.36.0-2) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 13:18:26 -0400

libpeas (1.36.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum glib to 2.44.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 10:35:37 -0400

libpeas (1.34.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Set Rules-Requires-Root: no

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 10:58:48 -0400

libpeas (1.32.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on gi-docgen
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 11:19:22 -0400

libpeas (1.30.0-4) unstable; urgency=medium

  * debian/rules: Set the timeout multiplier for the tests to 6
  * debian/rules: Do not run the tests when the nocheck build option is set

 -- Laurent Bigonville <bigon@debian.org>  Mon, 06 Sep 2021 17:26:15 +0200

libpeas (1.30.0-3) unstable; urgency=medium

  * Bump debhelper-compat to 13
  * Drop unneeded build-Depends on intltool and gnome-common
  * debian/rules: clean up unneeded lines
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 21 Aug 2021 20:37:42 -0400

libpeas (1.30.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated meson requirement
  * debian/patches/tests-Explicitly-depend-on-the-GIR-and-typelib.patch:
    - remove patch included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Mar 2021 09:25:15 +0100

libpeas (1.28.0-2) unstable; urgency=medium

  * Team upload
  * d/p/tests-Explicitly-depend-on-the-GIR-and-typelib.patch:
    Add patch to fix FTBFS with Meson 0.55.0 (Closes: #966951)

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Sep 2020 14:11:36 +0100

libpeas (1.28.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Sep 2020 21:37:32 +0200

libpeas (1.26.0-2) unstable; urgency=medium

  * Tests: Drop tests for python2 loader

 -- Laurent Bigonville <bigon@debian.org>  Tue, 10 Mar 2020 14:33:16 +0100

libpeas (1.26.0-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Drop libpeas-1.0-python2loader (Closes: #936900)

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields:
    - Bug-Database, Bug-Submit, Name, Repository, Repository-Browse.

  [ Andreas Henriksson ]
  * Build-dep on dh-sequence-gir and dh-sequence-gnome

  [ Laurent Bigonville ]
  * New upstream release (Closes: #953348)
  * debian/control.in: Add libglib2.0-doc, libgirepository1.0-doc and
    libgtk-3-doc so the links between documentation are properly resolved
  * debian/libpeas-1.0-0.symbols: Add newly exported symbols
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/contron.in: Mark libpeas-doc with Build-profiles: <!nodoc>

 -- Laurent Bigonville <bigon@debian.org>  Mon, 09 Mar 2020 21:16:07 +0100

libpeas (1.24.1-2) experimental; urgency=medium

  * debian/control.in:
    - Build-Depends on python2-dev instead of python-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 21 Jan 2020 11:08:09 +0200

libpeas (1.24.1-1) experimental; urgency=medium

  * Team upload
  * Merge packaging changes from unstable
  * New upstream release
    - Revert name of Python 2 loader from python2 to python, fixing a
      regression in pluma (LP: #1846890)

 -- Simon McVittie <smcv@debian.org>  Mon, 23 Dec 2019 17:45:24 +0000

libpeas (1.22.0-5) unstable; urgency=medium

  * Team upload
  * Build-depend on python-gi and python3-gi, in addition to
    python-gi-dev.
    python-gi-dev is going to drop its dependency on python-gi to make
    it easier to track which packages are still using Python 2.
    Also add an explicit dependency on python3-gi for symmetry, and in
    case the python3-gi dependency is later dropped for a Python 4
    transition. (Closes: #947249)
  * d/tests: Add superficial autopkgtests
  * d/gbp.conf: Use debian/unstable branch while 1.24.x is in experimental
  * Bump Standards-Version to 4.4.1

 -- Simon McVittie <smcv@debian.org>  Mon, 23 Dec 2019 16:32:13 +0000

libpeas (1.24.0-2) experimental; urgency=medium

  * debian/rules:
    - strip -Wl,-Bsymbolic-functions from the build flags, fixes the
      build on Ubuntu where it's on by default

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Sep 2019 15:48:29 +0100

libpeas (1.24.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/rules: update for switch to meson
  * debian/gbp.conf: Extend with common gnome settings
    - sign tags, postimport dch/debcommit, no patch numbers
  * Add meson to build-dependencies
  * Update symbols file
  * Use new filename of python(2) loader file when installing
    - libpythonloader.so is now called libpython2loader.so

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 13 Sep 2019 21:48:12 +0200

libpeas (1.22.0-4) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 08:31:54 -0500


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libpeas2
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: adwaita-icon-theme <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               gi-docgen,
               libgirepository1.0-dev (>= 1.39.0),
               libgirepository1.0-doc <!nodoc>,
               libgladeui-dev,
               libglib2.0-dev (>= 2.74.0),
               libglib2.0-doc <!nodoc>,
               meson (>= 0.50),
               python-gi-dev (>= 3.7.2),
               python3-dev (>= 3.2.0),
               python3-gi (>= 3.7.2),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/libpeas2
Vcs-Git: https://salsa.debian.org/gnome-team/libpeas2.git
Homepage: https://wiki.gnome.org/Projects/Libpeas

Package: libpeas-2-0
Architecture: any
Depends: libpeas-2-common, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Application plugin library
 libpeas-2 is a library that allows applications to support plugins.

Package: libpeas-2-dev
Section: libdevel
Architecture: any
Depends: gir1.2-peas-2 (= ${binary:Version}),
         libgirepository1.0-dev (>= 1.39.0),
         libglib2.0-dev (>= 2.74.0),
         libpeas-2-0 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libpeas-2-doc
Multi-Arch: same
Description: Application plugin library (development files)
 libpeas-2 is a library that allows applications to support plugins.
 .
 This package contains the headers files required for developing software that
 uses libpeas-2.

Package: libpeas-2-doc
Section: doc
Multi-Arch: foreign
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Build-Profiles: <!nodoc>
Description: Application plugin library (documentation)
 libpeas is a library that allows applications to support plugins.
 .
 This package contains the API reference for libpeas-2.

Package: libpeas-2-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Application plugin library (common files)
 libpeas-2 is a library that allows applications to support plugins.
 .
 This package contains common files, such as translations and icons.

Package: gir1.2-peas-2
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Application plugin library (introspection files)
 libpeas-2 is a library that allows applications to support plugins.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

# needed with the Ubuntu toolchain to avoid issues
export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgtk_doc=true \
		-Dgjs=false \
		-Dlua51=false

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/libpeas-2/ -- -c4

override_dh_auto_test:
	dh_auto_test -- --timeout-multiplier=6

## libpeas2 2.0.0

=== debian/changelog ===
libpeas2 (2.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 08:00:27 -0400

libpeas2 (1.99.1-2) unstable; urgency=medium

  * debian/rules: Set -Wno-error=undef to work around build issue on mips64el

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 15:43:07 -0400

libpeas2 (1.99.1-1) unstable; urgency=medium

  * New upstream release
  * Revert removal of -Wl,-z,defs: did not fix the build failure
  * Drop all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 14:56:51 -0400

libpeas2 (1.99.0-3) unstable; urgency=medium

  * Set libpeas-2-doc as Arch: all
  * debian/rules: Don't set -Wl,-z,defs to work around build failure

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 08:17:39 -0400

=== debian/control ===
--- 
+++ 
@@ -53,8 +53,8 @@
 Package: libpeas-2-doc
 Section: doc
 Multi-Arch: foreign
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Architecture: all
+Depends: ${misc:Depends}
 Build-Profiles: <!nodoc>
 Description: Application plugin library (documentation)
  libpeas is a library that allows applications to support plugins.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 
 # needed with the Ubuntu toolchain to avoid issues
 export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions
+
+# Avoids build failure on mips64el
+export DEB_CFLAGS_MAINT_APPEND=-Wno-error=undef
 
 %:
 	dh $@

## libpeas2 2.0.1

=== debian/changelog ===
libpeas2 (2.0.1-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:10:24 +0000

libpeas2 (2.0.1-1build3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:04:32 +0000

libpeas2 (2.0.1-1build2) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Mar 2024 05:49:56 +0100

libpeas2 (2.0.1-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 20 Jan 2024 18:06:11 +0000

libpeas2 (2.0.1-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jan 2024 16:52:01 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,9 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: libpeas2
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: adwaita-icon-theme <!nocheck>,
                debhelper-compat (= 13),
                dh-sequence-gir,

=== debian/rules ===
--- 
+++ 
@@ -23,3 +23,5 @@
 
 override_dh_auto_test:
 	dh_auto_test -- --timeout-multiplier=6
+
+override_dh_gnome_clean:

## libpeas2 2.0.2

=== debian/changelog ===
libpeas2 (2.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 01 May 2024 16:49:40 -0400

## libpeas2 2.0.5

=== debian/changelog ===
libpeas2 (2.0.5-3) unstable; urgency=medium

  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Jan 2025 13:30:16 -0500

libpeas2 (2.0.5-2) unstable; urgency=medium

  * Team upload
  * Build and install Vala API files (Closes: #1083063) (LP: #2083505)

 -- Matthias Geiger <werdahias@debian.org>  Wed, 02 Oct 2024 09:18:27 -0400

libpeas2 (2.0.5-1) unstable; urgency=medium

  * New upstream release
  * Add Provides: ${gir:Provides} to libpeas-2-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 15:24:59 -0400

libpeas2 (2.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 11:40:20 -0400

libpeas2 (2.0.3-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 14:59:51 -0400

## libpeas2 2.0.7

=== debian/changelog ===
libpeas2 (2.0.7-3) unstable; urgency=medium

  * Team upload
  * d/control: Replace libgirepository1.0-dev build-dependency with
    multiarch-compatible packages.
    Unusually, libpeas needs both gobject-introspection (for its own
    language bindings) and libgirepository-1.0-dev (because it directly
    calls into the libgirepository library).
  * d/control: Remove unnecessary -dev dependency on libgirepository1.0-dev.
    Unlike libpeas version 1, libpeas2 only uses libgirepository in tests,
    not in its own production code.
  * d/control: Don't Build-Depend on -doc packages.
    gtk-doc needed this, but gi-docgen does not.
  * d/control, d/rules: Only require gi-docgen if building -doc packages
  * d/libpeas-2-doc.links: Register API reference with devhelp
  * d/libpeas-2-doc.doc-base.libpeas-2: Register API reference with doc-base
  * d/copyright: Don't quote the FSF's former postal address here

 -- Simon McVittie <smcv@debian.org>  Sun, 31 Aug 2025 18:24:01 +0100

libpeas2 (2.0.7-2) unstable; urgency=medium

  * Remove obsolete Build-Depends: libgladeui-dev
  * Update gir packaging
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Aug 2025 15:08:44 -0400

libpeas2 (2.0.7-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 11:38:50 -0400

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: libpeas2
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: adwaita-icon-theme <!nocheck>,
                debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               gi-docgen,
-               libgirepository1.0-dev (>= 1.39.0),
-               libgirepository1.0-doc <!nodoc>,
-               libgladeui-dev,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gmodule-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gobject-introspection (>= 1.80),
+               libgirepository-1.0-dev (>= 1.80),
                libglib2.0-dev (>= 2.74.0),
-               libglib2.0-doc <!nodoc>,
                meson (>= 0.50),
                python-gi-dev (>= 3.7.2),
                python3-dev (>= 3.2.0),
                python3-gi (>= 3.7.2),
-Standards-Version: 4.6.2
+               valac,
+Build-Depends-Indep: gi-docgen <!nodoc>,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/libpeas2
 Vcs-Git: https://salsa.debian.org/gnome-team/libpeas2.git
@@ -34,11 +35,11 @@
 Package: libpeas-2-dev
 Section: libdevel
 Architecture: any
-Depends: gir1.2-peas-2 (= ${binary:Version}),
-         libgirepository1.0-dev (>= 1.39.0),
-         libglib2.0-dev (>= 2.74.0),
+Depends: libglib2.0-dev (>= 2.74.0),
          libpeas-2-0 (= ${binary:Version}),
+         ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Suggests: libpeas-2-doc
 Multi-Arch: same
 Description: Application plugin library (development files)
@@ -70,7 +71,7 @@
 Package: gir1.2-peas-2
 Section: introspection
 Architecture: any
-Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Multi-Arch: same
 Description: Application plugin library (introspection files)
  libpeas-2 is a library that allows applications to support plugins.

=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,24 @@
 # Avoids build failure on mips64el
 export DEB_CFLAGS_MAINT_APPEND=-Wno-error=undef
 
+built_binaries := $(shell dh_listpackages)
+configure_flags =
+
+ifeq ($(filter %-doc,$(built_binaries)),)
+configure_flags += -Dgtk_doc=false
+else
+configure_flags += -Dgtk_doc=true
+endif
+
 %:
 	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Dgtk_doc=true \
 		-Dgjs=false \
-		-Dlua51=false
+		-Dlua51=false \
+		-Dvapi=true \
+		$(configure_flags)
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/libpeas-2/ -- -c4

## libpeas2 2.2.0

=== debian/changelog ===
libpeas2 (2.2.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Nov 2025 16:46:04 -0500

libpeas2 (2.2.0-1) experimental; urgency=medium

  * New upstream release
  * Add Build-Depends: libgirepository-2.0-dev
  * Bump minimum glib
  * Bump minimum python3-gi for build tests
  * Mark some Build-Depends as only needed for build tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Nov 2025 21:00:36 -0500

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

# needed with the Ubuntu toolchain to avoid issues
export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgjs=false \
		-Dgtk_doc=$(if $(filter %-doc,$(shell dh_listpackages)),true,false) \
		-Dlua51=false \
		-Dvapi=true

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/libpeas-2/

override_dh_auto_test:
	dh_auto_test -- --timeout-multiplier=6

override_dh_gnome_clean:

=== debian/tests/control ===
Tests: libpeas-2-dev
Restrictions: allow-stderr, superficial
Depends: build-essential, libpeas-2-dev, pkg-config

Tests: python3
Restrictions: allow-stderr, superficial
Depends: gir1.2-peas-2, python3, python3-gi

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/libpeas/cache.json \
	[\d.]+/libpeas-([\d.]+\.?(?:beta|rc)?[\d.]*)@ARCHIVE_EXT@
